# DirectoryIterator::isFile

(PHP 5, PHP 7)

DirectoryIterator::isFile — Determine if current DirectoryIterator item is a regular file

### Description

public DirectoryIterator::isFile ( void ) : bool

Determines if the current DirectoryIterator item is a regular file.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the file exists and is a regular file (not a link or dir), otherwise `FALSE`

### Examples

Example #1 DirectoryIterator::isFile() example

This example will list all regular files in the directory containing the script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isFile()) {
echo $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg
    banana.jpg
    example.php
    pears.jpg

### See Also

- DirectoryIterator::getType() - Determine the type of the current DirectoryIterator item
- DirectoryIterator::isDir() - Determine if current DirectoryIterator item is a directory
- DirectoryIterator::isDot() - Determine if current DirectoryIterator item is '.' or '..'
- DirectoryIterator::isLink() - Determine if current DirectoryIterator item is a symbolic link